### Method

# EDataServer SourceSMIME set_signing_certificate

since: 3.6

#### Declaration [src]

    void
    e_source_smime_set_signing_certificate (
      ESourceSMIME* extension,
      const gchar* signing_certificate
    )

#### Description [src]

Sets the S/MIME certificate name used to sign messages.

If the `signing_certificate` string is empty, `NULL` is set instead.

Available since: 3.6

Sets property | `EDataServer.SourceSMIME:signing-certificate`

#### Parameters

`signing_certificate`

  Type: `const gchar*`

  The certificate name used to sign messages, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.